All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.propertyeditor
Class MultiSelectionListEditorPanel

    com.sas.swing.visuals.dataselectors.propertyeditor.MultiSelectionListEditorPanel

All Implemented Interfaces:
  EditorPanelInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class MultiSelectionListEditorPanel

implements EditorPanelInterface, java.beans.PropertyChangeListener

MultiSelectionListEditorPanel is the default multiple-selection-from-a-list editor for the EntityAttributeValuePanel. It displays a CheckBoxList component for selecting one or more values in a list.

See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `labelValueMap` Name/value pairs (formatted value/unformatted value)
`protected javax.swing.DefaultListModel` | `listModel` Instance of DefaultListModel
`protected CheckBoxList` | `multiList` Model for this component
`protected boolean` | `newModel` boolean value indicating whether a list model has been created
`protected java.util.Map` | `propertyModelMap` Name/value pairs (property name/list model)
`protected javax.swing.event.ListSelectionListener` | `selectionListener` ListSelectionListener
`protected java.lang.Object` | `value` Deprecated.

Constructor Summary
`MultiSelectionListEditorPanel()` Constructor

Method Summary
`protected void` | `createListeners()` Internal method for creating a ListSelectionListener
`java.lang.Object` | `getValue()` Returns the property value contained in the editor.
`protected javax.swing.JPanel` | `makePanel()` Internal method for constructing the panel
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Process a PropertyChangeEvent
`void` | `setModel(EntityAttributeValueModelInterface selectorAdapter, java.lang.String propertyName)` Set the model for the editor.

Field Detail

### multiList

    protected CheckBoxList multiList

  Model for this component

### labelValueMap

    protected java.util.Map labelValueMap

  Name/value pairs (formatted value/unformatted value)

### propertyModelMap

    protected java.util.Map propertyModelMap

  Name/value pairs (property name/list model)

### selectionListener

    protected javax.swing.event.ListSelectionListener selectionListener

  ListSelectionListener

### newModel

    protected boolean newModel

  boolean value indicating whether a list model has been created

### listModel

    protected javax.swing.DefaultListModel listModel

  Instance of DefaultListModel

### value

    protected java.lang.Object value

  Deprecated.

Constructor Detail

### MultiSelectionListEditorPanel

    public MultiSelectionListEditorPanel()

  Constructor

Method Detail

### makePanel

    protected javax.swing.JPanel makePanel()

  Internal method for constructing the panel

### createListeners

    protected void createListeners()

  Internal method for creating a ListSelectionListener

### setModel

    public void setModel(EntityAttributeValueModelInterface selectorAdapter,
                         java.lang.String propertyName)

  Description copied from interface: `EditorPanelInterface`
  Set the model for the editor.

  Specified by:
    `setModel` in interface `EditorPanelInterface`
  Parameters:
    `selectorAdapter` - instance of com.sas.dataselectors.propertyeditor.EntityAttributeValueSelectorAdapter
    `propertyName` - name of the property

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `EditorPanelInterface`
  Returns the property value contained in the editor.

  Specified by:
    `getValue` in interface `EditorPanelInterface`
  Returns:
    property value

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Process a PropertyChangeEvent

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - instance of PropertyChangeEvent

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.